org.apache.sling.scripting.sightly.testing.precompiled

## Class InternalUsePojo

- java.lang.Object
- - org.apache.sling.scripting.sightly.testing.precompiled.InternalUsePojo

All Implemented Interfaces:
  org.apache.sling.scripting.sightly.pojo.Use

    public class InternalUsePojo
    extends Object
    implements org.apache.sling.scripting.sightly.pojo.Use

### Constructor Summary

Constructors
Constructor and Description
`InternalUsePojo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getResourcePath()`
`void` `init(Bindings bindings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InternalUsePojo

    public InternalUsePojo()

### Method Detail

#### init

    public void init(Bindings bindings)

Specified by:
  `init` in interface `org.apache.sling.scripting.sightly.pojo.Use`

#### getResourcePath

    public String getResourcePath()